Package org.snpeff.snpEffect

# Class VariantEffects

java.lang.Object
org.snpeff.snpEffect.VariantEffects

All Implemented Interfaces:
  `Iterable<VariantEffect>`

public class VariantEffects extends Object implements Iterable<VariantEffect>
A sorted collection of variant effects

Author:
  pcingola

## Field Summary

Fields
Modifier and Type
Field
Description
`static boolean`
`debug`

## Constructor Summary

Constructors
Constructor
Description
`VariantEffects()`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(Variant variant, Marker marker, EffectType effectType, String message)`
Add an effect
`void`
`add(Variant variant, Marker marker, EffectType effectType, VariantEffect.EffectImpact effectImpact, String message)`
Add an effect
`void`
`add(VariantEffect variantEffect)`
Add an effect
`void`
`addEffectType(Variant variant, Marker marker, EffectType effectType)`
Add: If possible, only add an effect type (otherwise add the full effect)
`void`
`addErrorWarning(Variant variant, ErrorWarningType errwarn)`
`VariantEffect`
`get()`
Get (or create) the latest ChangeEffect
`VariantEffect`
`get(int index)`
`boolean`
`hasMarker()`
`VariantEffect.EffectImpact`
`highestImpact(String trId)`
Find the highest impact effect for transcript 'trId'
`boolean`
`isEmpty()`
`Iterator<VariantEffect>`
`iterator()`
`void`
`setMarker(Marker marker)`
`int`
`size()`
`void`
`sort()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Field Details

### debug

public static boolean debug

## Constructor Details

### VariantEffects

public VariantEffects()

## Method Details

### add

public void add(Variant variant, Marker marker, EffectType effectType, VariantEffect.EffectImpact effectImpact, String message)
Add an effect

### add

public void add(Variant variant, Marker marker, EffectType effectType, String message)
Add an effect

### add

public void add(VariantEffect variantEffect)
Add an effect

### addEffectType

public void addEffectType(Variant variant, Marker marker, EffectType effectType)
Add: If possible, only add an effect type (otherwise add the full effect)

### addErrorWarning

public void addErrorWarning(Variant variant, ErrorWarningType errwarn)

### get

public VariantEffect get()
Get (or create) the latest ChangeEffect

### get

public VariantEffect get(int index)

### hasMarker

public boolean hasMarker()

### highestImpact

public VariantEffect.EffectImpact highestImpact(String trId)
Find the highest impact effect for transcript 'trId'

### isEmpty

public boolean isEmpty()

### iterator

public Iterator<VariantEffect> iterator()

Specified by:
  `iterator` in interface `Iterable<VariantEffect>`

### setMarker

public void setMarker(Marker marker)

### size

public int size()

### sort

public void sort()

### toString

public String toString()

Overrides:
  `toString` in class `Object`